Change the owner
curl --request PUT \
--url https://{domain}/api/application/services/{service}/owner \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"user_id": 193
}'import requests
url = "https://{domain}/api/application/services/{service}/owner"
payload = { "user_id": 193 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({user_id: 193})
};
fetch('https://{domain}/api/application/services/{service}/owner', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{domain}/api/application/services/{service}/owner",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'user_id' => 193
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{domain}/api/application/services/{service}/owner"
payload := strings.NewReader("{\n \"user_id\": 193\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://{domain}/api/application/services/{service}/owner")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"user_id\": 193\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{domain}/api/application/services/{service}/owner")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"user_id\": 193\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 908,
"name": "Managed VPS - Jane Cooper",
"status": "pending",
"owner": {
"id": 193,
"name": "Liam Walker",
"email": "liam.walker@example.com",
"avatar": "/assets/default-avatar.png"
},
"module": null,
"price": 14.99,
"original_price": null,
"modified_pricing": null,
"billing_cycle": "monthly",
"due_date": "2026-12-16T00:00:00.000000Z",
"auto_renewal_enabled": false,
"provisioned_at": null,
"addons": [],
"created_at": "2026-11-16T14:33:49.000000Z",
"updated_at": "2026-11-16T14:33:50.000000Z"
},
"message": "Service owner updated.",
"meta": {
"request_id": "00a8be53-04af-4569-b9dc-b7ecc10b6af4"
}
}
Billing
Change the owner
Moves the service to another user.
Permission: services.owner.update
PUT
/
services
/
{service}
/
owner
Change the owner
curl --request PUT \
--url https://{domain}/api/application/services/{service}/owner \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"user_id": 193
}'import requests
url = "https://{domain}/api/application/services/{service}/owner"
payload = { "user_id": 193 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({user_id: 193})
};
fetch('https://{domain}/api/application/services/{service}/owner', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{domain}/api/application/services/{service}/owner",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'user_id' => 193
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{domain}/api/application/services/{service}/owner"
payload := strings.NewReader("{\n \"user_id\": 193\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://{domain}/api/application/services/{service}/owner")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"user_id\": 193\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{domain}/api/application/services/{service}/owner")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"user_id\": 193\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 908,
"name": "Managed VPS - Jane Cooper",
"status": "pending",
"owner": {
"id": 193,
"name": "Liam Walker",
"email": "liam.walker@example.com",
"avatar": "/assets/default-avatar.png"
},
"module": null,
"price": 14.99,
"original_price": null,
"modified_pricing": null,
"billing_cycle": "monthly",
"due_date": "2026-12-16T00:00:00.000000Z",
"auto_renewal_enabled": false,
"provisioned_at": null,
"addons": [],
"created_at": "2026-11-16T14:33:49.000000Z",
"updated_at": "2026-11-16T14:33:50.000000Z"
},
"message": "Service owner updated.",
"meta": {
"request_id": "00a8be53-04af-4569-b9dc-b7ecc10b6af4"
}
}
Authorizations
Was this page helpful?

